# xStyle custom CSS for Alkemics front

## What is this?

This content aims to change a little the Alkemics interface to help you recognise at a glance certains informations. It also refresh the interface a little. Changes are made inside your broswer via an extension, so it doesn't reflect elsewhere.

![example of banner](/public/illustration.png)

## Give me an example

### Change banners

If you are on Preprod, the teal navbar will be enhanced with a light strip. On Load testing, the stip is purple. On your Pillar, the stip is cyan. On Prod, the navbar change colors using Salsify colors. The logon footer also work that way.

![example of PPR banner](public/PPR_banner_ex.png)
![example of Pillar banner](public/PLR_banner_ex.png)

If you have multiple windows or tabs on theses opened, you will quickly see on which one you are.

### Change user icon to a factory or a shop

If you use a Chrome profil for Retailers accounts, you can change the top right user icon to a shop one.
If you use a Chrome profil for Manufacturers, it can change it to a factory.

![example of orange shop icon](public/user-orange-shop.png)

## How does it works?

Nothing is changed on the software itself: It's your broswer that applies more CSS rules to make it happens. It relies on the Chrome extension xStyle, and that make it easy to turn them on or off, just in case it conflict with the website.

1. Install xStyle from the [Chrome Web Store ⎋](https://chrome.google.com/webstore/detail/xstyle/hncgkmhphmncjohllpoleelnibpmccpj)
2. In the extension, create a new Style
3. Copy one of the files' content available here, in the text editor
4. You can use the file name as the style name, or use your own.

Repeate for each styles you want to enables.

## What each styles do?

* `PPR banner.css`: Change the Preproduction banner
* `PLR banner.css`: Change your Pillar banner
* `LTG banner.css`: Change the Load Testing banner
* `PRD banner.css`: Change the Production banner and login's footer

* `Whiter banner.css`: Look & feel, mainly changing text to pure white and the hover and active elements. A _must have_. Works with the others files.

* `Retailers Sigils.css`: Change the top-right user icon to a Shop one, and make it orange. It actually don't know if you'r logged as a Retailer or not.
* `Suppliers Sigils.css`: change the top-right user icon to a Factory one, and make it turquoise. It actually don't know if you're logged as a Manufacturer or not.  
